﻿
using UnityEngine;

namespace BS.MonoBehaviours
{
    public class BSmono : MonoBehaviour
    {
        private Gun gun;
        private GunAmmo gunAmmo;

        void Start()
        {
            gunAmmo = GetComponent<Holding>().holdable.GetComponentInChildren<GunAmmo>();
            gun = GetComponent<Holding>().holdable.GetComponent<Gun>();
        }

        void Update()
        {
            gun.bursts = gunAmmo.maxAmmo;
            gun.numberOfProjectiles = 1;
        }
    }
}